#declare Mesh1 = mesh {
	triangle{<0.0, 0.0, -0.5>, <0.5, 0.0, 0.5>, <1.0, 0.0, -0.5>}
};
// TREE_NAME=Eucalyptus;
//ROOT
#declare ROOTS=0;
#declare ROOT_RANDOM=173;
#declare FIRST_ROOT_AT_TRUNK=10;
#declare ROOT_LENGTH=140;
#declare ROOT_THICKNESS_CHANGE=0.6;
#declare ROOT_STRENGTH=1;
#declare ROOT_BEND=50;
#declare ROOT_BEND_FREQUENCY=1;
#declare ROOT_CURVE=30;
#declare ROOT_CURVE_FREQUENCY=5;
#declare ROOT_SNAG=5;
#declare ROOT_SNAG_FREQUENCY=15;
#declare ROOT_ANGLE=20;
#declare ROOT_ALIGNMENT=0.6;
#declare ROOT_TURN_SWITCH=1.0;
//TRUNK
#declare TRUNK_RADIUS=12;
#declare TRUNK_STRENGTH=0.5;
#declare TRUNK_BEND_X=0;
#declare TRUNK_BEND_X_FREQUENCY=1.5;
#declare TRUNK_BEND_Z=0;
#declare TRUNK_BEND_Z_FREQUENCY=1.5;
#declare TRUNK_CURVE=0;
#declare TRUNK_CURVE_FREQUENCY=1;
#declare TRUNK_SNAG=5;
#declare TRUNK_SNAG_FREQUENCY=10;
#declare TRUNK_SPIRAL=50;
#declare TRUNK_TAPER=0.2;
//BRANCH
#declare BRANCHES=40;
#declare BRANCH_RANDOM=53;
#declare FIRST_BRANCH_AT_TRUNK=20;
#declare BRANCH_AREA_AT_TRUNK=250;
#declare BRANCH_THICKNESS_CHANGE=0.4;
#declare BRANCH_STRENGTH=1;
#declare BRANCH_BEND=10;
#declare BRANCH_BEND_FREQUENCY=1;
#declare HORIZONTAL_BRANCH_BEND_SWITCH=1;
#declare EXTRA_NOISE_SWITCH=0.0;
#declare BRANCH_CURVE=5;
#declare BRANCH_CURVE_FREQUENCY=2;
#declare HORIZONTAL_BRANCH_CURVE_SWITCH=0.0;
#declare BRANCH_LONGITUDINAL_CURVE=1;
#declare BRANCH_SNAG=0;
#declare BRANCH_SNAG_FREQUENCY=5;
#declare BRANCH_REDUCTION=0.8;
#declare BRANCH_TAPER=0.2;
#declare BRANCH_END_EQUALIZER=1;
#declare BRANCH_TIP=0;
#declare BRANCH_TURN_SWITCH=0.0;
#declare BRANCH_ALTERNATE_SWITCH=0.0;
#declare BRANCH_SPIRAL=0;
#declare BRANCH_ANGLE=15;
#declare BRANCH_ANGLE_SCOPE=0;
#declare BRANCH_ALIGNMENT=0.7;
#declare STRAIGHTEN_TOWARDS_TOP=1;
//TWIG
#declare TWIGS=3*BRANCHES;
#declare TWIG_RANDOM=77.37;
#declare FIRST_TWIG_AT_BRANCH=10;
#declare TWIG_AREA_AT_BRANCH=60;
#declare TWIG_THICKNESS_CHANGE=0.3;
#declare TWIG_STRENGTH=0.6;
#declare HORIZONTAL_TWIG_ANGLE=10;
#declare HORIZONTAL_TWIG_ANGLE_SCOPE=0;
#declare HORIZONTAL_TWIG_ALIGNMENT=1;
#declare VERTICAL_TWIG_ANGLE=10;
#declare VERTICAL_TWIG_ANGLE_SCOPE=0;
#declare VERTICAL_TWIG_ALIGNMENT=1;
#declare TWIG_TURN_SWITCH=1.0;
#declare TWIG_ALTERNATE_SWITCH=0.0;
#declare TWIG_CURVE_ADJUSTMENT=0.8;
#declare TWIG_CURVE_FREQUENCY_ADJUSTMENT=1;
#declare TWIG_TAPER=1;
#declare TWIG_TIP=0;
#declare STRAIGHTEN_TOWARDS_BRANCH_END=0.7;
#declare TWIG_RAMIFICATION_ORDER=1;
#declare LAST_RAMIFICATION_NUMBER=1;
#declare TWIG_RAMIFICATION_THICKNESS_CHANGE=1;
#declare TWIG_RAMIFICATION_CURVE_ADJUSTMENT=1;
#declare RAMI_CURVE_FREQUENCY_ADJUSTMENT=1;
#declare TWIG_RAMIFICATION_STRENGTH=0.5;
//BUNCH
#declare BUNCHES=1*TWIGS;
#declare FIRST_BUNCH_AT_TWIG=20;
#declare BUNCH_AREA_AT_TWIG=100;
#declare BUNCH_MAJOR_RADIUS=50;
#declare BUNCH_MINOR_RADIUS=50;
#declare HORIZONTAL_BUNCH_FUNNEL=40;
#declare VERTICAL_BUNCH_FUNNEL=40;
#declare ROTATION_BUNCH_FUNNEL=0;
#declare HORIZONTAL_BUNCH_ANGLE=0;
#declare VERTICAL_BUNCH_ANGLE=30;
#declare HORIZONTAL_BUNCH_ANGLE_SCOPE=5;
#declare VERTICAL_BUNCH_ANGLE_SCOPE=5;
#declare BUNCH_TURN_SWITCH=1.0;
#declare BUNCH_TURN_SHIFT=1;
#declare BUNCH_ALTERNATE_SWITCH=0.0;
#declare HORIZONTAL_BUNCH_ALIGNMENT=1;
#declare VERTICAL_BUNCH_ALIGNMENT=1;
#declare BUNCH_TAPER_OFF_AT_TWIG=0.3;
#declare BUNCH_TAPER_OFF_AT_BRANCH=-0.3;
#declare BUNCH_TAPER_OFF_AT_TREE=-0.8;
#declare BUNCH_ARC_AT_TWIG=<0, 0, 0>;
#declare BUNCH_ARC_AT_BRANCH=<0, 0, 0>;
#declare BUNCH_DEFORM=<1, 1, 1>;
//BARK
#declare SUNKEN_TRUNK_COLOR=<0.1, 0.1, 0>;
#declare RAISED_TRUNK_COLOR=<0.30196, 0.14901, 0.0>;
#declare FOLIAGE_COLOR_AT_BRANCH_END=1;
#declare TRUNK_SCAR_WIDTH=3;
#declare TRUNK_SCAR_HEIGHT=20;
#declare HORIZONTAL_SCAR_SHRINKING=1;
#declare VERTICAL_SCAR_SHRINKING=2;
#declare SCAR_DEPTH=-1;
#declare BARK_PROFILE=0;
#declare BRANCH_BARK_PROFILE_CHANGE=0;
#declare BRANCH_BARK_PROFILE_TAPER_OFF=1;
#declare ROOT_BARK_PROFILE_CHANGE=0;
#declare PALM_TRUNK=0.2;
//FOLIAGE
#include "TOMLEAF.inc"
#declare LEAF_TYPE=Mesh1;
#declare LEAVES=200*BUNCHES;
#declare LEAF_LENGTH=10;
#declare LEAF_BREADTH=4;
#declare LEAF_HEIGHT=1;
#declare MAX_LEAF_TILT=30;
#declare MAX_LEAF_TURN=30;
#declare LEAF_INCLINATION=50;
#declare LEAF_INCLINATION_SCOPE=10;
#declare BOTTOM_COLOR_1=<0.0, 0.2, 0.1>;
#declare BOTTOM_COLOR_2=<0.0, 0.3, 0.1>;
#declare TOP_COLOR_1=<0.0, 0.2, 0.0>;
#declare TOP_COLOR_2=<0.0, 0.3, 0.2>;
#declare COLOR_TURB=0.5;
#declare TRANSITION_BOTTOM_TOP=0.4;
#declare TRANSITION_TURB=0.25;
#declare FOLIAGE_GLOSS=0;
//BLOSSOM
#declare BLOSSOM=BLOSSOM1;
#declare BLOSSOMS=0*BUNCHES;
#declare BLOSSOM_LENGTH=50;
#declare BLOSSOM_WIDTH=100;
#declare BLOSSOM_INCLINATION=0;
#declare BLOSSOM_COLOR=<1, 1, 1>;
